diff --git a/makefile b/makefile
index baaceb5..85a7baf 100755
--- a/makefile
+++ b/makefile
@@ -70,6 +70,15 @@ OBJDB_G =  get_pdb_list.o
 
 #OBJDB_Z =  blanc2mtz.o libutils.o
 
+# incomplete targets:
+# dimer_search_db domain_search_db domain align3
+all: search_db get_structure_db manage_db search_dm dom2ch \
+            save_si get_pdb_list_db update_db \
+            update_dom_db bl2mtz check_file_db fobs2cif sol_check \
+            get_trns p2s check_cell alt_sg \
+            align cell_list create_bins \
+            get_pdb_list_db get_ch get_nm get_mod
+
 search_db: sdb_l
 
 get_structure_db: tdb_l
@@ -201,58 +210,58 @@ save_seg_id.o: save_seg_id.f
 	$(BLANC_FORT) -c save_seg_id.f 
 
 sdb_l: $(OBJDB_S)
-	$(BLANC_FORT) -o ../bin/search_DB $(OBJDB_S)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/search_DB $(OBJDB_S)
 tdb_l: $(OBJDB_T)
-	$(BLANC_FORT) -o ../bin/get_structure_DB $(OBJDB_T)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_structure_DB $(OBJDB_T)
 mdb_l: $(OBJDB_M)
-	$(BLANC_FORT) -o ../bin/manage_DB $(OBJDB_M)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/manage_DB $(OBJDB_M)
 mdm_l: $(OBJDB_MD)
-	$(BLANC_FORT) -o ../bin/search_DOM $(OBJDB_MD)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/search_DOM $(OBJDB_MD)
 d2c_l: $(OBJDB_A)
-	$(BLANC_FORT) -o ../bin/domain2chain $(OBJDB_A)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/domain2chain $(OBJDB_A)
 upd_l: $(OBJDB_U)
-	$(BLANC_FORT) -o ../bin/update_DB $(OBJDB_U)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/update_DB $(OBJDB_U)
 dom_l: $(OBJDB_V)
-	$(BLANC_FORT) -o ../bin/update_domain_DB $(OBJDB_V)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/update_domain_DB $(OBJDB_V)
 ddb_l: $(OBJDB_D)
-	$(BLANC_FORT) -o ../bin/dimer_search $(OBJDB_D)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/dimer_search $(OBJDB_D)
 dmdb_l: $(OBJDB_N)
-	$(BLANC_FORT) -o ../bin/domain_search $(OBJDB_N)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/domain_search $(OBJDB_N)
 gdb_l: $(OBJDB_G)
-	$(BLANC_FORT) -o ../bin/get_pdb_list $(OBJDB_G)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_pdb_list $(OBJDB_G)
 b2m_l: blanc2mtz.o libutils.o
-	$(BLANC_FORT) -o ../bin/blanc2mtz  blanc2mtz.o libutils.o $(CLIB)/libccp4f.a $(CLIB)/libccp4c.a
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/blanc2mtz  blanc2mtz.o libutils.o -lccp4f -lccp4c
 f2c_l: f2cif.o libutils.o
-	$(BLANC_FORT) -o ../bin/f2cif  f2cif.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/f2cif  f2cif.o libutils.o
 chf_l: check_file_DB.o libutils.o
-	$(BLANC_FORT) -o ../bin/check_file_DB check_file_DB.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/check_file_DB check_file_DB.o libutils.o
 chc_l: check_cell_sg.o libutils.o
-	$(BLANC_FORT) -o ../bin/check_cell_sg check_cell_sg.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/check_cell_sg check_cell_sg.o libutils.o
 asl_l: alt_sg_list.o libutils.o
-	$(BLANC_FORT) -o ../bin/alt_sg_list alt_sg_list.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/alt_sg_list alt_sg_list.o libutils.o
 sc_l: $(OBJDB_C)
-	$(BLANC_FORT) -o ../bin/solution_check $(OBJDB_C)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/solution_check $(OBJDB_C)
 gt_l: $(OBJDB_R)
-	$(BLANC_FORT) -o ../bin/get_trans $(OBJDB_R)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_trans $(OBJDB_R)
 dmn_l: domain.o libutils.o
-	$(BLANC_FORT) -o ../bin/domain domain.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/domain domain.o libutils.o
 pack: pdb_pack.o libutils.o
-	$(BLANC_FORT) -o ../bin/pdb_pack pdb_pack.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/pdb_pack pdb_pack.o libutils.o
 p2s_l: $(OBJDB_P)
-	$(BLANC_FORT) -o ../bin/pdb2s $(OBJDB_P)
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/pdb2s $(OBJDB_P)
 aln_l: align_DB.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/align_DB align_DB.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/align_DB align_DB.o DB_subr.o libutils.o
 aln3_l: align_DB_new.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/align_DB_new align_DB_new.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/align_DB_new align_DB_new.o DB_subr.o libutils.o
 cell_l: create_cell_list.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/create_cell_list create_cell_list.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/create_cell_list create_cell_list.o DB_subr.o libutils.o
 getch_l: get_chain.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/get_chain get_chain.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_chain get_chain.o DB_subr.o libutils.o
 getnmr_l: get_nmr.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/get_nmr get_nmr.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_nmr get_nmr.o DB_subr.o libutils.o
 getmod_l: get_model.o libutils.o
-	$(BLANC_FORT) -o ../bin/get_model get_model.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/get_model get_model.o libutils.o
 crb_l: create_binaries.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/create_binaries create_binaries.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/create_binaries create_binaries.o DB_subr.o libutils.o
 save_si_l: save_seg_id.o  DB_subr.o libutils.o
-	$(BLANC_FORT) -o ../bin/save_seg_id save_seg_id.o DB_subr.o libutils.o
+	$(BLANC_FORT) ${LDFLAGS} -o ../bin/save_seg_id save_seg_id.o DB_subr.o libutils.o
